Skip to content
Proud to collaborate with Microsoft for Startups

docusign.groups.post-groups ​

Creates one or more groups for the account. Groups help you manage users. For example, you can use groups to limit user access to templates. You can associate a group with a permission profile, which sets the user permissions for users in that group without having to set the userSettings property for each user. You are not required to set permission profiles for a group, but it makes it easier to manage user permissions for a large number of users. <ds-inlinemessage kind="warning" markdown="1"> This endpoint uses only the <code>groupName</code> and <code>permissionProfileId</code> properties in the request body. All other properties are ignored. </ds-inlinemessage> Example request: json { "groups": [ { "groupName": "montagues" }, { "groupName": "capulets" }, { "groupName": "nobles", "permissionProfileId": 1597 } ] } Use AccountPermissionProfiles: list to get a list of permission profiles and their IDs. It is an error if the permissionProfileId does not exist. ### Related topics - How-To Set Up a Permission Profile

Creates one or more groups for the account.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
endpositionstringNo—The last index position in the result set.
groupslistNo—A collection group objects containing information about the groups.
nexturistringNo—The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.
previousuristringNo—The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.
resultsetsizestringNo—The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.
startpositionstringNo—The starting index position of the current result set.
totalsetsizestringNo—The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
endpositionstringNo—The last index position in the result set.
groupslistNo—A collection group objects containing information about the groups.
nexturistringNo—The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.
previousuristringNo—The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.
resultsetsizestringNo—The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.
startpositionstringNo—The starting index position of the current result set.
totalsetsizestringNo—The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/accounts/{accountId}/groups
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/accounts/{accountId}/groups
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.groups.post-groups",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}